com.hazelcast.monitor

## Interface LocalExecutorStats

- All Superinterfaces:
    com.hazelcast.internal.management.JsonSerializable, LocalInstanceStats

      public interface LocalExecutorStats
      extends LocalInstanceStats

  Local executor service statistics to be used by `MemberState` implementations.

- - ### Field Summary

    - ### Fields inherited from interface com.hazelcast.monitor.LocalInstanceStats

      `STAT_NOT_AVAILABLE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getCancelledTaskCount()` Returns the number of cancelled operations on the executor service.
    `long` | `getCompletedTaskCount()` Returns the number of completed operations on the executor service.
    `long` | `getPendingTaskCount()` Returns the number of pending operations on the executor service.
    `long` | `getStartedTaskCount()` Returns the number of started operations on the executor service.
    `long` | `getTotalExecutionLatency()` Returns the total execution time of operations finished.
    `long` | `getTotalStartLatency()` Returns the total start latency of operations started.

    - ### Methods inherited from interface com.hazelcast.monitor.LocalInstanceStats

      `getCreationTime`

    - ### Methods inherited from interface com.hazelcast.internal.management.JsonSerializable

      `fromJson, toJson`

- - ### Method Detail

    - #### getPendingTaskCount

          long getPendingTaskCount()

      Returns the number of pending operations on the executor service.
      Returns:
        the number of pending operations on the executor service

    - #### getStartedTaskCount

          long getStartedTaskCount()

      Returns the number of started operations on the executor service.
      Returns:
        the number of started operations on the executor service

    - #### getCompletedTaskCount

          long getCompletedTaskCount()

      Returns the number of completed operations on the executor service.
      Returns:
        the number of completed operations on the executor service

    - #### getCancelledTaskCount

          long getCancelledTaskCount()

      Returns the number of cancelled operations on the executor service.
      Returns:
        the number of cancelled operations on the executor service

    - #### getTotalStartLatency

          long getTotalStartLatency()

      Returns the total start latency of operations started.
      Returns:
        the total start latency of operations started

    - #### getTotalExecutionLatency

          long getTotalExecutionLatency()

      Returns the total execution time of operations finished.
      Returns:
        the total execution time of operations finished

Copyright © 2020. All rights reserved.